name: ervu-dashboard-backend

replicaCount: 1

resources:
  requests:
    memory: '256Mi'
    cpu: '50m'
  limits:
    memory: '2Gi'
    cpu: '1'

ports:
  - name: http
    containerPort: 8080

services:
  - name: '{{ $.Values.name }}'
    type: ClusterIP
    ports:
      - name: http
        port: 80
        targetPort: 8080

postgres:
  database: 'ervu-dashboard'

livenessProbe:
  failureThreshold: 3
  httpGet:
    path: /
    port: 8080
  initialDelaySeconds: 30
  periodSeconds: 3
  successThreshold: 1
  timeoutSeconds: 5

readinessProbe:
  failureThreshold: 3
  httpGet:
    path: /ul/version
    port: 8080
  initialDelaySeconds: 30
  periodSeconds: 3
  successThreshold: 1
  timeoutSeconds: 5

ingress:
- name: '{{ $.Values.name }}'
  annotations:
    ingress.kubernetes.io/add-base-url: 'true'
  labels:
    app/name: ervu-lkrp-ul
  rules:
  - host: 'dashboard-ervu-dev.pgs.rtlabs.ru'
    http:
      paths:
      - path: /ul
        pathType: Prefix
        backend:
          service:
            name: '{{ $.Values.name }}'
            port:
              name: http
      - path: /manager
        pathType: Prefix
        backend:
          service:
            name: '{{ $.Values.name }}'
            port:
              name: http
